from typing import Self


class CrazyNumber:
    def __init__(self, number):
        self.number = number

    def __sub__(self, other: Self) -> float:
        return self.number // other.number


n1 = CrazyNumber(1243)
n2 = CrazyNumber(2)
print(n1 - n2)
